Can't filter the global query by Category

2022-10-13 19:09 - Jon Schell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.2.1

Description

I'm using 4.2.1 and I have this problem.  When querying the entire issue list for all projects, I can't filter by category.  Also, when

filtering a project where that category doesn't exist, the query returns all issues.

The expected / desired behavior is that I can query either all projects or just one project with Category as a filter, and if the project

doesn't have that category, then it returns no issues.

If there's some problem with having the global query not able to use category because it's project-specific, then make a way to have

a set of global categories that apply to all projects, in addition to the project-specific ones.

Related issues:

Is duplicate of Redmine - Feature #8192: Make a global category filter availa... New 2011-04-19

History

#1 - 2022-10-27 15:36 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #8192.

#2 - 2022-10-27 15:36 - Go MAEDA

- Is duplicate of Feature #8192: Make a global category filter available from issues list at All Issues level added
